Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.profiling.data
Class EhCacheProfilingDataHolder

    java.lang.Object
      org.apache.cocoon.profiling.data.EhCacheProfilingDataHolder

All Implemented Interfaces:
  ProfilingDataHolder

    public class EhCacheProfilingDataHolder

extends Object
implements ProfilingDataHolder

Constructor Summary
`EhCacheProfilingDataHolder()`

Method Summary
`ProfilingData` | `get(String id)` Retrieve the `ProfilingData` objects stored with the given id as key.
`void` | `setCacheManager(net.sf.ehcache.CacheManager cacheManager)`
`void` | `setCacheName(String cacheName)`
`void` | `setupCache()` Get the cache from ehcache cache manager and register MBeans.
`void` | `store(String id, ProfilingData data)` Store the given `ProfilingData` objects using the given id as key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EhCacheProfilingDataHolder

    public EhCacheProfilingDataHolder()

Method Detail

### setupCache

    public void setupCache()

  Get the cache from ehcache cache manager and register MBeans.

### get

    public ProfilingData get(String id)

  Retrieve the `ProfilingData` objects stored with the given id as key.

  Specified by:
    `get` in interface `ProfilingDataHolder`
  Returns:
    the `ProfilingData` stored with the given id as key or null if there is no mapping for the given id.
  See Also:
    `ProfilingDataHolder.get(java.lang.String)`

### store

    public void store(String id,
                      ProfilingData data)

  Store the given `ProfilingData` objects using the given id as key.

  Specified by:
    `store` in interface `ProfilingDataHolder`
  See Also:
    `ProfilingDataHolder.store(java.lang.String, org.apache.cocoon.profiling.data.ProfilingData)`

### setCacheManager

    public void setCacheManager(net.sf.ehcache.CacheManager cacheManager)

### setCacheName

    public void setCacheName(String cacheName)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright � 2008-2010 The Apache Software Foundation. All Rights Reserved.